---
updatedAt: 2025-06-11T20:13:55.000Z
agentTools:
  projectIndex: https://developers.triathlon.org/llms.txt
---

# Athlete Images

The **Athlete Images** method returns an array of basic image objects where the athlete has been tagged.

The `event_id` parameter allows image searches to be restricted to a pipe delimited list of event\_ids. For example the following request returns all images for Jonathan Brownlee at the 2015 ITU World Triathlon Series London.

```curl
curl --header "apikey: [[app:key]]" https://api.triathlon.org/v1/athletes/11378/images?event_id=91029
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "triathlon-api-v1",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.triathlon.org/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "apikey",
        "x-default": "2649776ef9ece4c391003b521cbfce7a"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/athletes/{athlete_id}/images": {
      "get": {
        "summary": "Athlete Images",
        "description": "",
        "operationId": "athlete-images",
        "parameters": [
          {
            "name": "athlete_id",
            "in": "path",
            "description": "The unique id of the athlete",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "per_page",
            "in": "query",
            "description": "How many results to be returned per page",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 10
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "The page number to be returned",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "event_id",
            "in": "query",
            "description": "Restrict images to a certain event",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n   \"code\":200,\n   \"message\": \"Usage of International Triathlon Union images are subject to agreement of image terms and conditions found here: http://media.triathlon.org/terms_and_conditions\",\n   \"status\":\"success\",\n   \"total\":4,\n   \"per_page\":10,\n   \"current_page\":1,\n   \"last_page\":1,\n   \"next_page_url\":null,\n   \"prev_page_url\":null,\n   \"from\":1,\n   \"to\":4,\n   \"data\":[\n      {\n         \"gallery_id\":96435,\n         \"image_id\":49415,\n         \"filename\":\"msj_4266.jpg\",\n         \"image_date\":\"2015-05-31T19:21:37Z\",\n         \"image_url\":\"http:\\/\\/www.triathlon.org\\/uploads\\/hrgalleries\\/96435\\/msj_4266.jpg\",\n         \"thumbnail\":\"http:\\/\\/www.triathlon.org\\/uploads\\/hrgalleries\\/96435\\/msj_4266__medium.jpg\",\n         \"event\":{\n            \"event_id\":91029,\n            \"event_title\":\"2015 ITU World Triathlon London\",\n            \"event_slug\":\"2015_itu_world_triathlon_london\",\n            \"event_venue\":\"London\",\n            \"event_country\":\"Great Britain\",\n            \"event_latitude\":\"51.50735\",\n            \"event_longitude\":\"-0.12776\",\n            \"event_date\":\"2015-05-30\",\n            \"event_start_date\":\"2015-05-30\",\n            \"event_finish_date\":\"2015-05-31\",\n            \"event_country_a2\":\"GB\",\n            \"event_country_noc\":\"GBR\",\n            \"event_region_id\":10,\n            \"event_country_id\":292,\n            \"event_region_name\":\"Europe\"\n         }\n      }\n   ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 200,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Usage of International Triathlon Union images are subject to agreement of image terms and conditions found here: http://media.triathlon.org/terms_and_conditions"
                    },
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "total": {
                      "type": "integer",
                      "example": 4,
                      "default": 0
                    },
                    "per_page": {
                      "type": "integer",
                      "example": 10,
                      "default": 0
                    },
                    "current_page": {
                      "type": "integer",
                      "example": 1,
                      "default": 0
                    },
                    "last_page": {
                      "type": "integer",
                      "example": 1,
                      "default": 0
                    },
                    "next_page_url": {},
                    "prev_page_url": {},
                    "from": {
                      "type": "integer",
                      "example": 1,
                      "default": 0
                    },
                    "to": {
                      "type": "integer",
                      "example": 4,
                      "default": 0
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "gallery_id": {
                            "type": "integer",
                            "example": 96435,
                            "default": 0
                          },
                          "image_id": {
                            "type": "integer",
                            "example": 49415,
                            "default": 0
                          },
                          "filename": {
                            "type": "string",
                            "example": "msj_4266.jpg"
                          },
                          "image_date": {
                            "type": "string",
                            "example": "2015-05-31T19:21:37Z"
                          },
                          "image_url": {
                            "type": "string",
                            "example": "http://www.triathlon.org/uploads/hrgalleries/96435/msj_4266.jpg"
                          },
                          "thumbnail": {
                            "type": "string",
                            "example": "http://www.triathlon.org/uploads/hrgalleries/96435/msj_4266__medium.jpg"
                          },
                          "event": {
                            "type": "object",
                            "properties": {
                              "event_id": {
                                "type": "integer",
                                "example": 91029,
                                "default": 0
                              },
                              "event_title": {
                                "type": "string",
                                "example": "2015 ITU World Triathlon London"
                              },
                              "event_slug": {
                                "type": "string",
                                "example": "2015_itu_world_triathlon_london"
                              },
                              "event_venue": {
                                "type": "string",
                                "example": "London"
                              },
                              "event_country": {
                                "type": "string",
                                "example": "Great Britain"
                              },
                              "event_latitude": {
                                "type": "string",
                                "example": "51.50735"
                              },
                              "event_longitude": {
                                "type": "string",
                                "example": "-0.12776"
                              },
                              "event_date": {
                                "type": "string",
                                "example": "2015-05-30"
                              },
                              "event_start_date": {
                                "type": "string",
                                "example": "2015-05-30"
                              },
                              "event_finish_date": {
                                "type": "string",
                                "example": "2015-05-31"
                              },
                              "event_country_a2": {
                                "type": "string",
                                "example": "GB"
                              },
                              "event_country_noc": {
                                "type": "string",
                                "example": "GBR"
                              },
                              "event_region_id": {
                                "type": "integer",
                                "example": 10,
                                "default": 0
                              },
                              "event_country_id": {
                                "type": "integer",
                                "example": 292,
                                "default": 0
                              },
                              "event_region_name": {
                                "type": "string",
                                "example": "Europe"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```